Bug 125880 - up2date not updating even when package is available
up2date not updating even when package is available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-13 00:53 EDT by Ian Laurie
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 15:04:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2004-06-13 00:53:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The Redhat Network Alert thingy says 1 update is available.

When clicked it says an update is available for kernel-doc,
specifically I have kernel-doc-2.6.5-1.358 installed and
kernel-doc-2.6.6-1.427 is available.

When up2date is launched and allowed to progress through, it ends up
saying my system is up to date already.

When I connect to various mirrors I find that there is indeed a
kernel-doc-2.6.6-1.427 available.

I know the Alert Icon can sometimes detect an update before it has
rippled through to all the mirrors, but I've looked and in this case
the update has rippled through, but up2date isn't picking it up.

Version-Release number of selected component (if applicable):
up2date-4.3.19-1

How reproducible:
Always

Steps to Reproduce:
1. Launch up2date to retrieve kernel-doc-2.6.6-1.427
2.
3.
    

Actual Results:  Says the system is already up to date when it isn't.

Expected Results:  Should download and install kernel-doc-2.6.6-1.427.

Additional info:
Comment 1 Will Licata 2004-06-18 17:40:10 EDT
I have experienced the issues with some other packages as well. Was
having quite a few issues, used apt to get current, but I am still
experiencing the same issue as describe here with the kernel doc update.
Comment 2 R. Scott Butler 2004-06-19 15:53:44 EDT
The Redhat Network Alert icon and up2date do not agree as to the
number of updates available. Currently, hovering the cursor over the
alert icon shows that there 10 updates avaialable (0 ignored). Looking
at the list of packages, I see *9* listed. These are the 8 that
up2date knows about plus the kernel doc package mentioned above.

Following the update, hovering shows 2 updates available, 0 ignored
and the list of updates availabe contains only the kernel doc package.

Fedora Core 2 with all the updates installed that will install.
Comment 3 Ian Laurie 2004-07-03 21:41:21 EDT
Still having this problem, but found this in my log file:

    Modifying bootloader config to include the new kernel info
    Adding 2.6.6-1.435.2.3 to bootloader config
    Running lilo with the new configuration

When I installed FC2 I opted to install the whole CD set, so I guess
that included LILO.  Seems up2date might be preferring LILO over GRUB
(I'm using GRUB), but it *is* adding the kernel to GRUB's list, its
just not making it the default to boot from.
Comment 4 Jason Merrill 2004-08-17 12:37:21 EDT
I've also had this problem with the kernel-doc package, and worked
around it with rpm -e kernel-doc; up2date kernel-doc.

I also ran into this bug with the mozilla packages; I had installed
Dag Wieers' Mozilla 1.6 packages, and needed to remove them before
up2date would install the FC2 Mozilla 1.7 packages.

Note You need to log in before you can comment on or make changes to this bug.